/**                               ______________________________________________
*                          o O   |                                              |
*                 (((((  o      <  Generated with Cook       (by Jocelyn HUARD) |
*                ( o o )         |______________________________________________|
* --------oOOO-----(_)-----OOOo----------------------------------------------------- +
* @version		1.5
* @package		Joomla
* @subpackage	Cook
* @copyright	Copyright 2011 - 100% vitamin
* @author		100% Vitamin - www.cpcv.net - info@cpcv.net
*
* /!\  Joomla! is free software.
* This version may have been modified pursuant to the GNU General Public License,
* and as distributed it includes or is derivative of works licensed under the
* GNU General Public License or other free or open source software licenses.
*
*             .oooO  Oooo.     See COPYRIGHT.php for copyright notices and details.
*             (   )  (   )
* -------------\ (----) /----------------------------------------------------------- +
*               \_)  (_/
*/


var JDom = new Class(
{
	params: null,
	wrapper: null,

	imagesDir:null,
	root:null,

	initialize: function(wrapper, params)
	{
		this.params = params;
		this.wrapper = wrapper;

		this.init();

		if (this.root)
			this.imagesDir = this.urlBack(this.root, 2) + 'images/';
	},

	/*
	*	Abstract functions
	*/

	init: function()
	{

	},

	render: function()
	{
	},

	getInstance: function()
	{
	},

	urlBack: function(url, backslashes)
	{
		var parts = url.split('/');

		var result = '';
		for(var i = 0 ; i < parts.length - backslashes ; i++)
		{
			result += parts[i] + '/';
		}

		return result;

	}


});




var jdomFileUrl = function()
{
	var scripts = document.getElementsByTagName('script');
	var script = scripts[scripts.length - 1].src;
	return script.substring(0, script.lastIndexOf('/')) + '/';

};



window.addEvent('domready', function()
{
	$$('.jdom').each(function(jdomObject)
	{
		var serialized = jdomObject.getProperty('rel');
		var params = typeof JSON !='undefined' ?  JSON.parse(serialized) : eval('('+serialized+')');
		var klass = 'JDom' + params.asset.substr(0,1).toUpperCase() + params.asset.substr(1);
		var jdom = new window[klass](jdomObject, params);

		jdomClass = jdom.getInstance();
		jdomClass.render();


	});
});
