
function requiredMooToolsVersion(required)
{

	var a = MooTools.version.split('.');
	var b = required.split('.');




	for (var i = 0; i < a.length; ++i) {
		//a[i] = Number(a[i]);

		//Correct the second mootools second num
		//	1.11   <  1.2  !!!
		a[i] = a[i].substr(0,1);   //Limit to only one char
	}
	for (var i = 0; i < b.length; ++i) {
		b[i] = Number(b[i]);
	}
	if (a.length == 2) {
		a[2] = 0;
	}




	if (a[0] > b[0]) return true;
	if (a[0] < b[0]) return false;


	if (a[1] > b[1]) return true;
	if (a[1] < b[1]) return false;


	if (a[2] > b[2]) return true;
	if (a[2] < b[2]) return false;

	return true;
}









var onBeforeValidation = new Array();
var onAfterValidation = new Array();
var onBeforeValidationAlert = null;




/*
*	FORMVALIDATOR - OPTIMIZATION OF THE JOOMLA NATIVE CLASS
*
*
*	-> New functions to handle the test
*	-> Pass the element object in the handler function (and much more arguments in the triggers)
*	-> Triggers before and after test
*	-> Messages boxes next to the fields
*	-> Global error message customizable
*	-> Handle radio and checkboxes
*	-> Handle editor
*
*	-> Nothing deprecated, all natives functionalities are still present
*
*
*	TO ADD A TRIGGER :
*
*
*	/**
*	* Functions to add a trigger
*	*
*	* @arg output object (described as below)
*	*
*	* @args.value 				: the tested value. You can transform the value before the test. This value will not be rewrited inside the input.
*	* @args.regex 				: the regexp
*	* @args.element		 		: input element. Use this if you want rewrite inside the input, or what you want...
*	* @args.name 				: field name
*	* @args.valid 				: result of the validation. Override here the result of a your custom test before of after
*	* @args.msgInfo				: the information message
*	* @args.msgIncorrect 		: the incorrect message
*	* @args.msgRequired 		: the required message
*	* @args.displayInfo 		: Displays the info box
*	* @args.displayIncorrect 	: Displays the incorrect box
*	* @args.displayRequired 	: Displays the required box
*	*
*	* @args.message 			: the message to show in alert box when submit (include field name. You can use <%LABEL%> pattern)*
*	*
*	**
*
*
*	onBeforeValidation['my_handle'] = function(args)	// my_handle : ie : email, username, password, ...
*	onAfterValidation['my_handle'] = function(args)
*	onBeforeValidation['required'] = function(args)		// For 'required' check  (Before)
*	onAfterValidation['required'] = function(args)		// For 'required' check  (After)
*	{
*	}
*
*
*	/**
*	* Functions to add a trigger
*	*
*	* @arg output object (described as below)
*	*
*	* @args.doit 				: Show the alert box (args.doit = false to disable the 'invasive' alert box)
*	* @args.message 			:  Formated message, (for instance, you can add a title)
*	*
*	**
*	
*	onBeforeValidationAlert = function(args)
*	{
*	}
*
*/
window.addEvent('domready', function()
{

	if (typeof(document.formvalidator) == 'undefined')
		return;

	document.formvalidator.attachToForm = function(form)
	{

		// Iterate through the form object and attach the validate method to all input fields.
		$A(form.elements).each(function(el)
		{
			//alert(el);
			el = $(el);
			if ((el.getTag() == 'input' || el.getTag() == 'button') && el.getProperty('type') == 'submit') {
				if (el.hasClass('validate')) {
					el.onclick = function(){return document.formvalidator.submitform(this.form);};
				}
			} else {
				el.addEvent('blur', function(){return document.formvalidator.validate(this);});
			}
		});
	};


	document.formvalidator.validatorTest = function(handler, call, el, regex, args)
	{
		el = $(el);


		args.valid = false;

		args.value = this.getValue(el);
		if (!args.value)
			args.value = '';

		args.regex = regex;
		args.element = el;
		args.name = el.getProperty('name');

		args.msgInfo = $('message_' + args.name + '_info');
		args.msgIncorrect = $('message_' + args.name + '_incorrect');
		args.msgRequired = $('message_' + args.name + '_required');
		args.icon = $('validatoricon_' + args.name);

		args.displayInfo = (args.value.trim() == '');
		args.displayIncorrect = false;
		args.displayRequired = false;

		args.message = "";
		args.status = "";


		//Trigger before test
		if (handler != '')
		{
			var onBefore = onBeforeValidation[handler];
			if (onBefore != undefined)
				onBefore(args);
		}



		//Refresh message display
		args.displayInfo = (args.value.trim() == '');
		args.displayIncorrect = (!args.valid);



	//DO THE TEST
		if (handler == 'required')
		{
			args.valid = ((args.valid) || (args.value.trim() != ''));

		}
		else if (handler == '')  //Not required field
		{
			if (args.value.trim() == '')
				args.valid = true;
		}
		else if (!args.valid)
		{
			if (call == null)
			{
				args.valid = args.regex.test(args.value);
			}
			else
			{
				args.valid = call(args.value);
			}
		}




		//Refresh message display
		args.displayIncorrect = (!args.valid);





		//Refresh message display
		args.displayInfo = (args.value.trim() == '');
		args.displayIncorrect = (!args.valid);




		if (el.hasClass('required') && ((!args.valid) && (args.value.trim() == '')))
			args.displayRequired = true;

		if (handler == '')
			args.displayRequired = false;

		if ((handler == '') || (args.displayRequired))
			args.displayIncorrect = false;


		if ((handler != '') && ((args.displayIncorrect) || (args.displayRequired)))
			args.displayInfo = false;


		//Prepare messages (alert box)
		if (args.displayIncorrect)
		{
			if (args.msgIncorrect)
				args.message = "<%LABEL%> : " + this.getText(args.msgIncorrect);
		}

		if (args.displayRequired)
		{
			if (args.msgRequired)
				args.message = "<%LABEL%> : " + this.getText(args.msgRequired);
		}



		//Trigger after test
		if (handler != '')
		{
			var onAfter = onAfterValidation[handler];
			if (onAfter != undefined)
				onAfter(args);
		}



		this.showElement(args.msgInfo, args.displayInfo);
		this.showElement(args.msgIncorrect, args.displayIncorrect);
		this.showElement(args.msgRequired, args.displayRequired);



		if (handler != '')  // Quiet Call
		{
			this.handleResponse(args.valid, el);
		}



		if (args.icon)
		{
			args.icon.removeClass('validatoricon_incorrect');
			args.icon.removeClass('validatoricon_valid');

			if ((args.displayIncorrect) || (args.displayRequired))
				args.icon.addClass('validatoricon_incorrect');
			else if ((handler != '') && (!args.displayRequired) && (args.valid))
				args.icon.addClass('validatoricon_valid');


		}



		return args.valid;

	}

	document.formvalidator.validate = function(el, prepare, args)
	{
		if (args == undefined)
			var args = new Object();



		if (prepare)
		{
			this.validatorTest('', null, el, '', args);
			return;
		}

		// If the field is required make sure it has a value
		if ($(el).hasClass('required'))
		{

			if (!this.validatorTest('required', null, el, '', args))
			{
				return false;
			}
		}
		else
		{
			//Simple check
			this.validatorTest('', null, el, '', args);
		}


		// Only validate the field if the validate class is set
		var handler = (el.className && el.className.search(/validate-([a-zA-Z0-9\_\-]+)/) != -1) ? el.className.match(/validate-([a-zA-Z0-9\_\-]+)/)[1] : "";
		if (handler == '') {
			this.handleResponse(true, el);
			return true;
		}

		// Check the additional validation types
		if ((handler) && (handler != 'none') && (this.handlers[handler]) && this.getValue($(el)))
		{
			// Execute the validation handler and return result
			if (!this.validatorTest(handler, this.handlers[handler].exec, el, this.handlers[handler].regex, args))
			{
				return false;
			}
		}

		// Return validation state
		this.handleResponse(true, el);
		return true;
	};


	document.formvalidator.handleResponse = function(state, el)
	{
		// Find the label object for the given field if it exists
		if (!(el.labelref)) {
			var labels = $$('label');
			labels.each(function(label){
				if (label.getProperty('for') == el.getProperty('id')) {
					el.labelref = label;
				}
			});
		}

		// Set the element and its label (if exists) invalid state
		if (state == false) {
			el.addClass('invalid');
			if (el.labelref) {
				$(el.labelref).addClass('invalid');
			}
		} else {
			el.removeClass('invalid');
			if (el.labelref) {
				$(el.labelref).removeClass('invalid');
			}
		}
	};

	document.formvalidator.getValue = function(el)
	{

		var name = el.getProperty('name');

		if (requiredMooToolsVersion('1.3'))
		{
			var tag = el.get('tag');
		}
		else
		{
			var tag = el.getTag();
		}
		var type = el.getProperty('type');


		switch(tag + ':' + type)
		{
			case 'input:radio':
			case 'input:checkbox':

				var inputs = new Array();

				$$('input').each(function(inp)
				{
					if ((inp.getProperty('name') == name)
						&& inp.getProperty('checked'))
					{
						inputs.push(inp);
					}
				});


				if (inputs.length == 0)
					value = '';
				else
					value = inputs[0].getProperty('value');

				break;

			default:
				value = el.value;
				break;
		}

		return value;


	};




	document.formvalidator.prepareForm = function(form)
	{
		var valid = true;

		// Validate form fields
		for (var i=0;i < form.elements.length; i++)
		{
			if (this.validate(form.elements[i], true) == false) {
				valid = false;
			}
		}

		return valid;
	};

	document.formvalidator.showElement = function(el, show)
	{
		if (!el)
			return;

		if (requiredMooToolsVersion('1.3'))
		{
			if (show)
				el.show();
			else
				el.hide();
		}
		else
		{
			if (show)
				el.setStyle('display','inherit');
			else
				el.setStyle('display','none');
		}
	},

	document.formvalidator.getLabel = function(form, name)
	{
		var labelText = "";
		var thisp = this;
		form.getElements('label').each(function(label)
		{
			if (label.getProperty('for') == name)
			{
				labelText = thisp.getText(label);

			}
		});

		return labelText;
	};

	document.formvalidator.getText = function(el, name)
	{
		if (requiredMooToolsVersion('1.3'))
			return el.getProperty('text').trim();
		else
			return el.getText().trim();

	};

	document.formvalidator.submitform = function(form, pressbutton, callback)
	{
		// Do not validate form for these tasks
		switch(pressbutton)
		{
			case 'cancel':

				if (typeof(Joomla) == 'undefined')	//Check version 1.5
					submitform(pressbutton)
				else
					Joomla.submitform(pressbutton);
				return;
				break;
		}


		var valid = true;
		var message = "";

		// Validate form fields
		for (var i=0;i < form.elements.length; i++)
		{
			var args = new Object();

			var el = form.elements[i];
			if (this.validate(el, false, args) == false)
			{
				valid = false;

				args.message = args.message.replace("<%LABEL%>", this.getLabel(form, args.name));

				message += args.message + '\n';
			}
		}


		// Run custom form validators if present
		$A(this.custom).each(function(validator){
			if ((validator.exec) && (validator.exec() != true))
			{
				valid = false;
			}
		});


		var argsAlert = new Object();
		argsAlert.message = message;
		argsAlert.doit = true;


		if (onBeforeValidationAlert)
			onBeforeValidationAlert(argsAlert);

		if (valid)
			callback( pressbutton );
		else if (argsAlert.doit)
			alert(argsAlert.message);

	};






	var form = document.adminForm;
	document.formvalidator.prepareForm(form);



});






