<?php
/**                               ______________________________________________
*                          o O   |                                              |
*                 (((((  o      <  Generated with Cook           (100% Vitamin) |
*                ( o o )         |______________________________________________|
* --------oOOO-----(_)-----OOOo---------------------------------- www.j-cook.pro --- +
* @version		1.6
* @package		biblio_v1.0
* @subpackage	Lenders
* @copyright	Copyright 2012, All rights reserved
* @author		Marc Letouzé - www.protolbv.fr/jbreeding - marc.letouze@liubov.net
* @license		GNU/GPL
*
* /!\  Joomla! is free software.
* This version may have been modified pursuant to the GNU General Public License,
* and as distributed it includes or is derivative of works licensed under the
* GNU General Public License or other free or open source software licenses.
*
*             .oooO  Oooo.     See COPYRIGHT.php for copyright notices and details.
*             (   )  (   )
* -------------\ (----) /----------------------------------------------------------- +
*               \_)  (_/
*/


// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

define('JPATH_ADMIN_BIBLIO', JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_biblio');
define('JPATH_SITE_BIBLIO', JPATH_SITE . DS . 'components' . DS . 'com_biblio');

require_once(JPATH_ADMIN_BIBLIO .DS.'helpers'.DS.'helper.php');
JHTML::_("behavior.mootools");

// Set the table directory
JTable::addIncludePath(JPATH_ADMIN_BIBLIO . DS . 'tables');

//Document title
$document	= &JFactory::getDocument();
$document->titlePrefix = "biblio_v1.0 - ";
$document->titleSuffix = "";

//FILE INDIRECT ACCESS
$task	= JRequest::getVar('task');
if ($task == 'file')
{
	require_once(JPATH_ADMIN_BIBLIO .DS. "classes" .DS. "file.php");
	BiblioFile::returnFile();
}

$view = JRequest::getCmd( 'view');

switch ($view)
{

		case 'books' :
		case 'book' :



        	$controllerName = "books";

		break;

		default:
			$view = 'books';
			$layout = 'default';

			JRequest::setVar( 'view', $view);
			JRequest::setVar( 'layout', $layout);

			$controllerName = "books";
			break;
}

require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controllerName.'.php' );
$controllerName = 'biblioController'.$controllerName;




// Create the controller
$controller = new $controllerName();

// Perform the Request task
$controller->execute( JRequest::getCmd('task') );

// Redirect if set by the controller
$controller->redirect();


