<?php
/**                               ______________________________________________
*                          o O   |                                              |
*                 (((((  o      <  Generated with Cook           (100% Vitamin) |
*                ( o o )         |______________________________________________|
* --------oOOO-----(_)-----OOOo---------------------------------- www.j-cook.pro --- +
* @version		1.6
* @package		biblio_v1.0
* @subpackage	Books
* @copyright	Copyright 2012, All rights reserved
* @author		Marc Letouzé - www.protolbv.fr/jbreeding - marc.letouze@liubov.net
* @license		GNU/GPL
*
* /!\  Joomla! is free software.
* This version may have been modified pursuant to the GNU General Public License,
* and as distributed it includes or is derivative of works licensed under the
* GNU General Public License or other free or open source software licenses.
*
*             .oooO  Oooo.     See COPYRIGHT.php for copyright notices and details.
*             (   )  (   )
* -------------\ (----) /----------------------------------------------------------- +
*               \_)  (_/
*/

defined('_JEXEC') or die('Restricted access');


?>

<fieldset class="fieldsfly">
	<table class="admintable">

		<tr>
			<td align="right" class="key">
				<label for="cover">
					<?php echo JText::_( "BIBLIO_FIELD_COVER" ); ?> :
				</label>
			</td>
			<td>
				<?php echo JDom::_('html.fly.file', array(
												'dataKey' => 'cover',
												'dataObject' => $this->book,
												'href' => JRoute::_( "index.php?option=com_biblio&view=book&layout=bookdescription&cid[]=". $this->book->id, false),
												'width' => 200,
												'height' => 200,
												'indirect' => true,
												'root' => '[DIR_BOOKS_COVER]'
												));
				?>
			</td>
		</tr>
		<tr>
			<td align="right" class="key">
				<label for="bookname">
					<?php echo JText::_( "BIBLIO_FIELD_BOOK_NAME" ); ?> :
				</label>
			</td>
			<td>
				<?php echo JDom::_('html.fly', array(
												'dataKey' => 'bookname',
												'dataObject' => $this->book
												));
				?>
			</td>
		</tr>
		<tr>
			<td align="right" class="key">
				<label for="_id_lender_name">
					<?php echo JText::_( "BIBLIO_FIELD_LENDER_NAME" ); ?> :
				</label>
			</td>
			<td>
				<?php echo JDom::_('html.fly', array(
												'dataKey' => '_id_lender_name',
												'dataObject' => $this->book
												));
				?>
			</td>
		</tr>
		<tr>
			<td align="right" class="key">
				<label for="author">
					<?php echo JText::_( "BIBLIO_FIELD_AUTHOR" ); ?> :
				</label>
			</td>
			<td>
				<?php echo JDom::_('html.fly', array(
												'dataKey' => 'author',
												'dataObject' => $this->book
												));
				?>
			</td>
		</tr>
		<tr>
			<td align="right" class="key">
				<label for="description">
					<?php echo JText::_( "BIBLIO_FIELD_DESCRIPTION" ); ?> :
				</label>
			</td>
			<td>
				<?php echo JDom::_('html.fly', array(
												'dataKey' => 'description',
												'dataObject' => $this->book
												));
				?>
			</td>
		</tr>


	</table>
</fieldset>