<?php


/**                               ______________________________________________
*                          o O   |                                              |
*                 (((((  o      <  Generated with Cook           (100% Vitamin) |
*                ( o o )         |______________________________________________|
* --------oOOO-----(_)-----OOOo---------------------------------- www.j-cook.pro --- +
* @version		1.6
* @package		biblio_v1.0
* @subpackage	Books
* @copyright	Copyright 2012, All rights reserved
* @author		Marc Letouzé - www.protolbv.fr/jbreeding - marc.letouze@liubov.net
* @license		GNU/GPL
*
* /!\  Joomla! is free software.
* This version may have been modified pursuant to the GNU General Public License,
* and as distributed it includes or is derivative of works licensed under the
* GNU General Public License or other free or open source software licenses.
*
*             .oooO  Oooo.     See COPYRIGHT.php for copyright notices and details.
*             (   )  (   )
* -------------\ (----) /----------------------------------------------------------- +
*               \_)  (_/
*/

defined('_JEXEC') or die('Restricted access');


?>





<div class="grid_wrapper">
	<table id='grid' class='adminlist' cellpadding="0" cellspacing="0">
	<thead>
		<tr>
			<?php if ($this->access->get('core.edit')): ?>
            <th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>
			<?php endif; ?>

			<th style="text-align:left">
				<?php echo JText::_("BIBLIO_FIELD_COVER"); ?>
			</th>

			<th style="text-align:left">
				<?php echo JText::_("BIBLIO_FIELD_BOOK_NAME"); ?>
			</th>

			<th style="text-align:left">
				<?php echo JText::_("BIBLIO_FIELD_LENDER_NAME"); ?>
			</th>

			<th style="text-align:left">
				<?php echo JText::_("BIBLIO_FIELD_AUTHOR"); ?>
			</th>

			<th style="text-align:left">
				<?php echo JText::_("BIBLIO_FIELD_PRICE"); ?>
			</th>

			<th style="text-align:left">
				<?php echo JText::_("BIBLIO_FIELD_DESCRIPTION"); ?>
			</th>

			<th>
				<?php echo JText::_("BIBLIO_FIELD_PUBLISH"); ?>
			</th>



		</tr>
	</thead>

	<tbody>
	<?php
	$k = 0;

	for ($i=0, $n=count( $this->items ); $i < $n; $i++):

		$row = &$this->items[$i];



		?>

		<tr class="<?php echo "row$k"; ?>">

			<?php if ($this->access->get('core.edit')): ?>
			<td>
				<?php echo JDom::_('html.grid.checkedout', array(
										'dataKey' => '',
										'dataObject' => $row,
										'num' => $i,
									//	'aclAccess' => 'core.edit'
											));
				?>
			</td>
			<?php endif; ?>

            <td style="text-align:left">
				<?php echo JDom::_('html.fly.file', array(
												'dataKey' => 'cover',
												'dataObject' => $row,
												'width' => 80,
												'height' => 80,
												'attrs' => array('format:jpeg'),
												'indirect' => true,
												'root' => '[DIR_BOOKS_COVER]'
												));
				?>
			</td>

            <td style="text-align:left">
				<?php echo JDom::_('html.fly', array(
												'dataKey' => 'bookname',
												'dataObject' => $row
												));
				?>
			</td>

            <td style="text-align:left">
				<?php echo JDom::_('html.fly', array(
												'dataKey' => '_id_lender_name',
												'dataObject' => $row
												));
				?>
			</td>

            <td style="text-align:left">
				<?php echo JDom::_('html.fly', array(
												'dataKey' => 'author',
												'dataObject' => $row
												));
				?>
			</td>

            <td style="text-align:left">
				<?php echo JDom::_('html.fly', array(
												'dataKey' => 'price',
												'dataObject' => $row
												));
				?>
			</td>

            <td style="text-align:left">
				<?php echo JDom::_('html.fly', array(
												'dataKey' => 'description',
												'dataObject' => $row
												));
				?>
			</td>

            <td>
				<?php echo JDom::_('html.grid.publish', array(
										'dataKey' => 'publish',
										'dataObject' => $row,
										'num' => $i
											));
				?>
			</td>



		</tr>
		<?php
		$k = 1 - $k;

	endfor;
	?>
	</tbody>
	</table>




</div>

<?php echo JDom::_('html.pagination', array(
										'pagination' => $this->pagination,
										'showLimit' => true,
										'showCounter' => true,

											));
?>


